generic/603: don't run on XFS v4 filesystems
authorDarrick J. Wong <darrick.wong@oracle.com>
Wed, 29 Jul 2020 02:51:41 +0000 (19:51 -0700)
committerEryu Guan <guaneryu@gmail.com>
Sun, 9 Aug 2020 15:29:49 +0000 (23:29 +0800)
XFS filesystems require V5 format to support all three quota types at
the same time, so skip the test if we're testing XFS older than that.

Signed-off-by: Darrick J. Wong <darrick.wong@oracle.com>
Reviewed-by: Zorro Lang <zlang@redhat.com>
Signed-off-by: Eryu Guan <guaneryu@gmail.com>
tests/generic/603

index 54deaf13492238a76f27cb682373f1f8e38fc01a..fc3df6e52a7947b613b96c5bca76e38f567effd3 100755 (executable)
@@ -149,6 +149,10 @@ test_grace()
 _supported_fs generic
 _supported_os Linux
 _require_scratch
 _supported_fs generic
 _supported_os Linux
 _require_scratch
+# xfs requires v5 format to support all three quota types at the same time
+if [ "$FSTYP" = "xfs" ]; then
+       _require_scratch_xfs_crc
+fi
 _require_setquota_project
 _require_quota
 _require_user
 _require_setquota_project
 _require_quota
 _require_user